## osinfo_devicelinklist

osinfo_devicelinklist — A list of hardware devicelink

## Functions

OsinfoDeviceLinkList * | osinfo_devicelinklist_new ()
OsinfoDeviceLinkList * | osinfo_devicelinklist_new_copy ()
OsinfoDeviceLinkList * | osinfo_devicelinklist_new_filtered ()
OsinfoDeviceLinkList * | osinfo_devicelinklist_new_intersection ()
OsinfoDeviceLinkList * | osinfo_devicelinklist_new_union ()
OsinfoDeviceList * | osinfo_devicelinklist_get_devices ()

## Types and Values

#define | OSINFO_TYPE_DEVICELINKLIST

## Description

OsinfoDeviceLinkList is a list specialization that stores only OsinfoDeviceLink objects.

## Functions

### osinfo_devicelinklist_new ()

    OsinfoDeviceLinkList *
    osinfo_devicelinklist_new (void);

Construct a new devicelink list that is initially empty.

#### Returns

an empty devicelink list.

[transfer full]

### osinfo_devicelinklist_new_copy ()

    OsinfoDeviceLinkList *
    osinfo_devicelinklist_new_copy (OsinfoDeviceLinkList *source);

`osinfo_devicelinklist_new_copy` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_copy()` instead.

Construct a new devicelink list that is filled with devicelinks from `source`

#### Parameters

source | the devicelink list to copy |

#### Returns

a copy of the devicelink list.

[transfer full]

### osinfo_devicelinklist_new_filtered ()

    OsinfoDeviceLinkList *
    osinfo_devicelinklist_new_filtered (OsinfoDeviceLinkList *source,
                                        OsinfoFilter *filter);

`osinfo_devicelinklist_new_filtered` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_filtered()` instead.

Construct a new devicelink list that is filled with devicelinks from `source` that match `filter`

#### Parameters

source | the devicelink list to copy |
filter | the filter to apply |

#### Returns

a filtered copy of the devicelink list.

[transfer full]

### osinfo_devicelinklist_new_intersection ()

    OsinfoDeviceLinkList *
    osinfo_devicelinklist_new_intersection
                                   (OsinfoDeviceLinkList *sourceOne,
                                    OsinfoDeviceLinkList *sourceTwo);

`osinfo_devicelinklist_new_intersection` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_intersection()` instead.

Construct a new devicelink list that is filled with only the devicelinks that are present in both `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first devicelink list to copy |
sourceTwo | the second devicelink list to copy |

#### Returns

an intersection of the two devicelink lists.

[transfer full]

### osinfo_devicelinklist_new_union ()

    OsinfoDeviceLinkList *
    osinfo_devicelinklist_new_union (OsinfoDeviceLinkList *sourceOne,
                                     OsinfoDeviceLinkList *sourceTwo);

`osinfo_devicelinklist_new_union` has been deprecated since version 0.2.2 and should not be used in newly-written code.

Use `osinfo_list_new_union()` instead.

Construct a new devicelink list that is filled with all the devicelinks that are present in either `sourceOne` and `sourceTwo` .

#### Parameters

sourceOne | the first devicelink list to copy |
sourceTwo | the second devicelink list to copy |

#### Returns

a union of the two devicelink lists.

[transfer full]

### osinfo_devicelinklist_get_devices ()

    OsinfoDeviceList *
    osinfo_devicelinklist_get_devices (OsinfoDeviceLinkList *list,
                                       OsinfoFilter *filter);

Get all devices matching a given filter

#### Parameters

list | an device link list |
filter | an optional device property filter. | [allow-none][transfer none]

#### Returns

A list of devices.

[transfer full]

## Types and Values

### OSINFO_TYPE_DEVICELINKLIST

    #define OSINFO_TYPE_DEVICELINKLIST (osinfo_devicelinklist_get_type ())

## See Also

OsinfoList, OsinfoDeviceLink